<?xml version="1.0"?>

<queryset>
   <rdbms><type>postgresql</type><version>7.1</version></rdbms>

<fullquery name="get_lists_user_is_subscribed">
      <querytext>
      
    select l.list_id, l.name
    from ml_mailing_lists l, ml_mailing_list_user_map m
    where l.list_id = m.list_id
    and l.expiration_date > current_timestamp
    and m.user_id = :user_id
    and m.subscribed_p = 't'
    order by lower(l.name)

      </querytext>
</fullquery>

<fullquery name="check_email_verified_p">
      <querytext>
      
    select email_verified_p
    from users
    where user_id = :user_id

      </querytext>
</fullquery>

<fullquery name="get_available_lists">
      <querytext>

     select l.list_id, l.name, l.teaser
     from ml_mailing_lists l
     where l.public_p = 't'
     and l.locale = :locale
     and l.expiration_date > current_timestamp
     and 0 = (select count(*) from ml_mailing_list_user_map map where map.list_id = l.list_id and user_id= :user_id)
     order by lower(l.name)

      </querytext>
</fullquery>
 
</queryset>
