ad_page_contract {
    Confirms user to a mailing list
} {
    list_id:integer,notnull
    x:notnull
    user_id:optional
}

if {[exists_and_not_null user_id] && [exists_and_not_null x]} {
    # user most likely clicked a link in an email
    # verify the secret key and try to login the user
    if {[mailing_list::util::valid_x_field_p -user_id $user_id -x_field $x]} {
	# secret key ok, login user
	ad_user_login -forever=0 $user_id
    } else {
	# could not verify the secret key for that user
	ad_return_complaint 1 "Invalid secret key"
	return
    }
} else {
    set user_id [auth::require_login]
}

set package_id [ad_conn package_id]

set context_bar [list "Confirm"]
set valid_x_p [mailing_list::util::valid_x_field_p -user_id $user_id -x_field $x]

if {$valid_x_p} {
    db_transaction {
	db_dml confirm_email_address {}

	db_dml confirm_list_subscribtion {}

	db_1row get_list_name {}
    }
} else {
    ns_log notice "Invalid secret key of user $user_id when confirming for list $list_id"
}

ad_return_template
