<?xml version="1.0"?>

<queryset>
   <rdbms><type>oracle</type><version>8.1.6</version></rdbms>

<fullquery name="get_lists_user_is_subscribed">
      <querytext>
      
    select l.list_id, l.name
    from ml_mailing_lists l, ml_mailing_list_user_map m
    where l.package_id = :package_id
    and l.list_id = m.list_id
    and l.expiration_date > sysdate
    and m.user_id = :user_id
    and m.subscribed_p = 't'
    order by lower(l.name)

      </querytext>
</fullquery>

<fullquery name="get_lists_by_language">
      <querytext>

     select l.list_id, l.name, l.teaser, c.tree_id, c.category_id,
            nvl(m.subscribed_p, 'f') as subscribed_p
     from ml_mailing_lists l, ml_mailing_list_user_map m,
          category_object_map cm, categories c
     where l.package_id = :package_id
     and l.list_id = m.list_id(+)
     and m.user_id(+) = :user_id
     and l.public_p = 't'
     and l.locale = :locale
     and l.expiration_date > sysdate
     and cm.object_id = l.list_id
     and cm.category_id = c.category_id
     order by c.tree_id, c.category_id, lower(l.name)

      </querytext>
</fullquery>
 
<fullquery name="get_lists_by_language_new">
      <querytext>

     select l.list_id, l.name, l.teaser,
            nvl(m.subscribed_p, 'f') as subscribed_p
     from ml_mailing_lists l, ml_mailing_list_user_map m
     where l.package_id = :package_id
     and l.list_id = m.list_id(+)
     and m.user_id(+) = :user_id
     and l.public_p = 't'
     and l.locale = :locale
     and l.expiration_date > sysdate
     order by lower(l.name)

      </querytext>
</fullquery>
 
</queryset>
