ad_page_contract {
    Let user select the country category trees
}

set user_id [auth::require_login]
set package_id [ad_conn package_id]
permission::require_permission -object_id $package_id -privilege mailing_list_admin

set context_bar [list [list "." Administration] "Country Category"]
set category_trees [list]

db_foreach get_mapped_category_trees {} {
    lappend category_trees [list [category_tree::get_name $tree_id] $tree_id]
}

set country_tree [db_string get_current_country_category_tree {} -default ""]

ad_form -name country_category_form -action categories-country -form {
    {country_tree_id:text(radio) {label "Country Category"} {values $country_tree} {options $category_trees}}
} -on_submit {
    db_transaction {
	db_dml delete_country_category_tree {}

	db_dml insert_country_category_tree {}
    }
} -after_submit {
    ad_returnredirect "."
    ad_script_abort
}

ad_return_template
