ad_page_contract {
    Let user select the category trees that should be visible to users
}

set user_id [auth::require_login]
set package_id [ad_conn package_id]
permission::require_permission -object_id $package_id -privilege mailing_list_admin

set context_bar [list [list "." Administration] "Visible Categories"]
set category_trees [list]

# get all mapped category trees
db_foreach get_mapped_category_trees {} {
    lappend category_trees [list [category_tree::get_name $tree_id] $tree_id]
}

ad_form -name show_categories_form -action categories-show -form {
    {show_tree_id:text(checkbox),multiple,optional {label "Show Categories"} {options $category_trees}}
} -on_request {
    # get all currently visible category trees
    set show_tree_id [db_list get_category_trees_currently_shown {}]
} -on_submit {
    db_transaction {
	db_dml delete_shown_category_trees {}

	foreach tree_id $show_tree_id {
	    db_dml show_category_tree {}
	}
    }
} -after_submit {
    ad_returnredirect "."
    ad_script_abort
}

ad_return_template
