<?xml version="1.0"?>

<queryset>
   <rdbms><type>postgresql</type><version>7.1</version></rdbms>

<fullquery name="grant_user_class_read_privilege">
      <querytext>
      select acs_permission__grant_permission (
      	     :class_id,
	     :the_public_id,
	     'read'
      );
      </querytext>
</fullquery>

 
<fullquery name="revoke_user_class_read_privilege">
      <querytext>
      select acs_permission__revoke_permission (
      	     :class_id,
	     :the_public_id,
	     'read'
      );
      </querytext>
</fullquery>

 
<fullquery name="get_all_mailing_list_admins">
      <querytext>
      
	select acs_permission__permission_p(:class_id, oppm.party_id, :privilege) as permission_p,
	       oppm.party_id
	from acs_object_party_privilege_map oppm
	where oppm.object_id = :package_id
	and oppm.privilege = 'mailing_list_admin'
	and oppm.party_id <> :user_id
	and acs_permission__permission_p(:package_id, oppm.party_id, 'admin') = 'f'
    
      </querytext>
</fullquery>

 
<fullquery name="grant_user_class_privilege">
      <querytext>
      select acs_permission__grant_permission (
      	     :class_id,
	     :users_id,
	     :privilege
      );
      </querytext>
</fullquery>

 
<fullquery name="revoke_user_class_privilege">
      <querytext>
      select acs_permission__revoke_permission (
      	     :class_id,
	     :users_id,
	     :privilege
      );
      </querytext>
</fullquery>

 
</queryset>
